com.io7m.jtensors

## Interface MatrixWritable4x4DType

- All Superinterfaces:
    MatrixWritable2x2DType, MatrixWritable3x3DType, MatrixWritableDType
  All Known Subinterfaces:
    Matrix4x4DType, MatrixByteBuffered4x4DType, MatrixDirect4x4DType, PMatrix4x4DType<T0,T1>, PMatrixByteBuffered4x4DType<T0,T1>, PMatrixDirect4x4DType<T0,T1>, PMatrixWritable4x4DType<T,U>
  All Known Implementing Classes:
    MatrixByteBufferedM4x4D, MatrixDirectM4x4D, MatrixHeapArrayM4x4D, PMatrixByteBufferedM4x4D, PMatrixDirectM4x4D, PMatrixHeapArrayM4x4D

      public interface MatrixWritable4x4DType
      extends MatrixWritable3x3DType

  'Write' interface to 4x4 matrices with `double` elements.
  Since:
    7.0.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setR0C3D(double x)` Set row 0, column 3 of the matrix to `x`.
    `void` | `setR1C3D(double x)` Set row 1, column 3 of the matrix to `x`.
    `void` | `setR2C3D(double x)` Set row 2, column 3 of the matrix to `x`.
    `void` | `setR3C0D(double x)` Set row 3, column 0 of the matrix to `x`.
    `void` | `setR3C1D(double x)` Set row 3, column 1 of the matrix to `x`.
    `void` | `setR3C2D(double x)` Set row 3, column 2 of the matrix to `x`.
    `void` | `setR3C3D(double x)` Set row 3, column 3 of the matrix to `x`.
    `void` | `setRow0With4D(VectorReadable4DType v)` Set row 0 to `v`.
    `void` | `setRow1With4D(VectorReadable4DType v)` Set row 1 to `v`.
    `void` | `setRow2With4D(VectorReadable4DType v)` Set row 2 to `v`.
    `void` | `setRow3With4D(VectorReadable4DType v)` Set row 3 to `v`.
    `void` | `setRowWith4D(int row, VectorReadable4DType v)` Set row `row` of the matrix to `v`.
    `void` | `setRowWith4DUnsafe(int row, VectorReadable4DType v)` Set row `row` of the matrix to `v`.

    - ### Methods inherited from interface com.io7m.jtensors.MatrixWritable3x3DType

      `setR0C2D, setR1C2D, setR2C0D, setR2C1D, setR2C2D, setRowWith3D, setRowWith3DUnsafe`

    - ### Methods inherited from interface com.io7m.jtensors.MatrixWritable2x2DType

      `setR0C0D, setR0C1D, setR1C0D, setR1C1D, setRowWith2D, setRowWith2DUnsafe`

    - ### Methods inherited from interface com.io7m.jtensors.MatrixWritableDType

      `setRowColumnD`

- - ### Method Detail

    - #### setRowWith4D

          void setRowWith4D(int row,
                            VectorReadable4DType v)

      Set row `row` of the matrix to `v`.
      Parameters:
        `row` - The row index
        `v` - The row vector

    - #### setRowWith4DUnsafe

          void setRowWith4DUnsafe(int row,
                                  VectorReadable4DType v)

      Set row `row` of the matrix to `v`. No bounds checking is performed for `row`, and out-of-bounds values result in undefined behaviour.
      Parameters:
        `row` - The row index
        `v` - The row vector

    - #### setRow0With4D

          void setRow0With4D(VectorReadable4DType v)

      Set row 0 to `v`.
      Parameters:
        `v` - The row vector

    - #### setRow1With4D

          void setRow1With4D(VectorReadable4DType v)

      Set row 1 to `v`.
      Parameters:
        `v` - The row vector

    - #### setRow2With4D

          void setRow2With4D(VectorReadable4DType v)

      Set row 2 to `v`.
      Parameters:
        `v` - The row vector

    - #### setRow3With4D

          void setRow3With4D(VectorReadable4DType v)

      Set row 3 to `v`.
      Parameters:
        `v` - The row vector

    - #### setR0C3D

          void setR0C3D(double x)

      Set row 0, column 3 of the matrix to `x`.
      Parameters:
        `x` - The value

    - #### setR1C3D

          void setR1C3D(double x)

      Set row 1, column 3 of the matrix to `x`.
      Parameters:
        `x` - The value

    - #### setR2C3D

          void setR2C3D(double x)

      Set row 2, column 3 of the matrix to `x`.
      Parameters:
        `x` - The value

    - #### setR3C0D

          void setR3C0D(double x)

      Set row 3, column 0 of the matrix to `x`.
      Parameters:
        `x` - The value

    - #### setR3C1D

          void setR3C1D(double x)

      Set row 3, column 1 of the matrix to `x`.
      Parameters:
        `x` - The value

    - #### setR3C2D

          void setR3C2D(double x)

      Set row 3, column 2 of the matrix to `x`.
      Parameters:
        `x` - The value

    - #### setR3C3D

          void setR3C3D(double x)

      Set row 3, column 3 of the matrix to `x`.
      Parameters:
        `x` - The value

Copyright © 2015 <code@io7m.com> http://io7m.com